LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.NUMERIC_STD.ALL;

LIBRARY work;
USE work.YOLO_pkg.ALL;

ENTITY L9_BNROM IS
  PORT (
    clk : IN STD_LOGIC;
    coefs : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    address : IN unsigned(5 DOWNTO 0));
END L9_BNROM;

ARCHITECTURE RTL OF L9_BNROM IS

  TYPE ROM_mem IS ARRAY (0 TO 62) OF STD_LOGIC_VECTOR(31 DOWNTO 0);

  signal ROM_content : ROM_mem := (
  0=>"0000000000000000" & "0000000000000101",  
  1=>"0000000000000101" & "0000000000000000",
  2=>"1111111111111000" & "0000000000000001",
  3=>"1111111111111111" & "1111111111111110",
  4=>"0000000000000011" & "0000000000110100",
  5=>"1111111111111100" & "1111111110011111",
  6=>"1111111111111101" & "1111111111111011",
  7=>"0000000000011010" & "0000000000000000",
  8=>"0000000000000001" & "0000000000000111",
  9=>"1111111111111011" & "0000000000000000",
  10=>"1111111111111110" & "0000000000000101",
  11=>"1111111111111111" & "1111111111110110",
  12=>"0000000000000000" & "0000000000001010",
  13=>"1111111111111111" & "1111111111111101",
  14=>"0000000000000000" & "0000000000001011",
  15=>"1111111111101100" & "1111111111111101",
  16=>"1111111111111111" & "1111111111111101",
  17=>"1111111110011000" & "1111111111111111",
  18=>"0000000000000000" & "1111111111111100",
  19=>"1111111111111110" & "1111111111111010",
  20=>"1111111111111111" & "0000000000010011",
  21=>"0000000000000011" & "0000000000000100",
  22=>"1111111111111101" & "1111111111111101",
  23=>"1111111111111101" & "1111111111111010",
  24=>"0000000000000010" & "1111111111110110",
  25=>"0000000000000010" & "1111111111111110",
  26=>"0000000000000001" & "1111111111111100",
  27=>"1111111111111011" & "1111111111111110",
  28=>"0000000000000110" & "1111111111000001",
  29=>"0000000000000010" & "1111111111111001",
  30=>"1111111111111101" & "1111111101101111",
  31=>"1111111111111101" & "1111111111111100",
  32=>"0000000000001000" & "1111111111111101",
  33=>"1111111111111110" & "0000000000000010",
  34=>"1111111111111100" & "1111111111111111",
  35=>"0000000000000010" & "1111111111111111",
  36=>"0000000000000001" & "1111111111111100",
  37=>"0000000000000001" & "0000000000000011",
  38=>"1111111111111101" & "1111111111111101",
  39=>"1111111111111110" & "0000000000001011",
  40=>"1111111111100101" & "1111111111111001",
  41=>"0000000000010100" & "1111111111111110",
  42=>"1111111110011011" & "0000000000000001",
  43=>"0000000000000010" & "1111111111111000",
  44=>"0000000000000001" & "1111111111111110",
  45=>"1111111111111011" & "0000000000011000",
  46=>"0000000000000101" & "0000000000000010",
  47=>"1111111111111100" & "1111111111111101",
  48=>"1111111111111101" & "1111111111111111",
  49=>"0000000000000000" & "1111111111111001",
  50=>"0000000000000101" & "0000000000000011",
  51=>"0000000000000000" & "0000000000000010",
  52=>"1111111111111100" & "1111111111111010",
  53=>"0000000000000010" & "1111111111100111",
  54=>"0000000000000010" & "1111111111101101",
  55=>"1111111111111110" & "1111111101111011",
  56=>"1111111111111010" & "1111111111111011",
  57=>"0000000000001011" & "1111111111111110",
  58=>"1111111111111100" & "1111111111111110",
  59=>"1111111111111011" & "1111111111111111",
  60=>"0000000000000010" & "1111111111111111",
  61=>"0000000000000000" & "1111111111111101",
  62=>"0000000000000011" & "1111111111111111"
);
attribute rom_style : string; 
attribute rom_style of ROM_content : signal is "block";
BEGIN
proc_name : PROCESS (clk)
BEGIN
  IF rising_edge(clk) THEN
    coefs <= ROM_content(to_integer(address));
  END IF;
END PROCESS proc_name;END RTL;